| Home | Libraries | People | FAQ | More

###### array::front (1 of 3 overloads)

Access the first element.

###### Synopsis

    value&
    front();

###### Description

Returns a reference to the first element.

###### Precondition

`not empty()`

###### Complexity

Constant.

Copyright © 2019, 2020 Vinnie Falco
Copyright © 2020 Krystian Stasiowski
Copyright © 2022 Dmitry Arkhipov

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)